{% extends "base.html" %}
{% load static %}
{%block link %}
<link rel="stylesheet" href="{% static 'news.css' %}">{% endblock %}
{% block content %}
<div class="body">
    {% if news %}
    <h1>News Page</h1>
    <div class="newslist">
        {% for post in news %}
        <div class="news">
            <div class="img__placeholder">
                <img src="{{post.img_source}}" alt="" srcset="">
            </div>
            <div class="news__content">
                <h2 class="news__title">{{post.title}}</h2>
                <hr>
                <p class="news__details">{{post.content}}</p>
            </div>
        </div>
        {% endfor %}
    </div>
    {% else %}
    <div class="empty">
        <h1>News Page</h1>
        <p>No News are available.</p>
    </div>
    {% endif %}
</div>
{% endblock %}